# PetscBitMemcpy

Copies an amount of data. This can include bit data.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscBitMemcpy(void *a,PetscInt ai,const void *b,PetscInt bi,PetscInt bs,PetscDataType dtype)

Not Collective

### Input Parameters

| b | - pointer to initial memory space
| bi | - offset of initial memory space (in elementary chunk sizes)
| bs | - length (in elementary chunk sizes) of space to copy
| dtype | - datatype, for example, PETSC_INT, PETSC_DOUBLE, PETSC_LOGICAL

### Output Parameters

| a | - pointer to result memory space
| ai | - offset of result memory space (in elementary chunk sizes)

### Note

This routine is analogous to PetscMemcpy(), except when the data type is PETSC_LOGICAL.

### See Also

PetscMemmove(), PetscMemcpy()

Level:intermediate
Location: src/sys/utils/memc.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages